{{ 'component-newsletter.css' | asset_url | stylesheet_tag }}
{{ 'newsletter-section.css' | asset_url | stylesheet_tag }}
<style></style>
{%- style -%}
  .section-{{ section.id }}-padding {
    padding-top: {{ section.settings.padding_top | times: 0.75 | round: 0 }}px;
    padding-bottom: {{ section.settings.padding_bottom | times: 0.75 | round: 0 }}px;
    padding-left:0;
    padding-right:0;
  }

  @media screen and (min-width: 750px) {
    .section-{{ section.id }}-padding {
      padding-top: {{ section.settings.padding_top }}px;
      padding-bottom: {{ section.settings.padding_bottom }}px;
    }
  }
  #{{ section.id }}{
    background-color: {{ section.settings.bg_color }};
  }
  #Subscribe{
    height: 60px;
    width: 120px;
    background: #014550;
    color: #3cf084;
    font-size: 20px;
    border: unset;
    border-radius: 0 4px 4px 0;
    cursor:pointer;
  }
  #NewsletterForm--{{ section.id }}{
    margin-bottom: unset;
    background: #fff;
    color: #66777a;
    font-size: 19px;
    font-weight: 400;
    height: 60px;
    width: 400px;
    border: unset;
    border-radius: 4px 0 0 4px;
    padding-left:10px;
  }
  .newsletter__wrapper>*+*{
    margin:0
  }
  #{{ section.id }} .title{

    font-family: FinancierDisplay;
    font-size: 48px;
    font-weight: 300;
    color: #014550;
    line-height: 50px;
    padding-right: 60px;
    margin-bottom: 18px
  }

  @media only screen and (max-width : 1000px){
    .newsletter__wrapper{
      flex-direction: column;
      background-color: transparent;
      align-items: flex-start !important;
      padding-left:20px;
      gap: 20px;
    }
    #{{ section.id }} .title{
      font-size: 40px
    }
    #NewsletterForm--{{ section.id }}{

      width: 80%;

    }
  }
  @media (max-width: 567px){
    .newsletter__wrapper{
      padding-left: 10px;
      padding-right: 10px;
    }
    #{{ section.id }} .title{
      padding-right:0px;
      margin-bottom: 5px
    }
    
  }
{%- endstyle -%}

<div
  id="{{ section.id}}"
  class=" newsletter center {% if section.settings.full_width == false %}newsletter--narrow page-width{% endif %} "
>
  <div class="container">
    <div
      class="newsletter__wrapper container d-flex justify-content-between align-item-center  gradient content-container isolate{% if section.settings.full_width %} content-container--full-width{% endif %} section-{{ section.id }}-padding"
      style="background-color: transparent;"
    >
      {%- for block in section.blocks -%}
        {%- case block.type -%}
          {%- when '@app' -%}
            {% render block %}

          {%- when 'heading' -%}
            {{ "<div class='newletter-wrap'>" }}
            <h2 class="title margin-top-0 left" {{ block.shopify_attributes }}>
              {{ block.settings.heading | escape }}
            </h2>

          {% when 'paragraph' %}
            <div class="desc left">{{ block.settings.text }}</div>
            {{ '</div>' }}
          {%- when 'email_form' -%}
            {% form 'customer', class: 'width-smart-100' %}
              <input type="hidden" name="contact[tags]" value="newsletter">
              <div class="input-group-wrap d-flex justify-content-center width-smart-90">
                <input
                  id="NewsletterForm--{{ section.id }}"
                  type="email"
                  name="contact[email]"
                  class="width-smart-100"
                  value="{{ form.email }}"
                  aria-required="true"
                  autocorrect="off"
                  autocapitalize="off"
                  autocomplete="email"
                  {% if form.errors %}
                    autofocus
                    aria-invalid="true"
                    aria-describedby="Newsletter-error--{{ section.id }}"
                  {% elsif form.posted_successfully? %}
                    aria-describedby="Newsletter-success--{{ section.id }}"
                  {% endif %}
                  placeholder="{{ 'newsletter.label' | t }}"
                  required
                >

                <button
                  type="submit"
                  class=""
                  name="commit"
                  id="Subscribe"
                  aria-label="{{ 'newsletter.button_label' | t }}"
                >
                  Join
                </button>
                {%- if form.errors -%}
                  <small class="newsletter-form__message form__message" id="Newsletter-error--{{ section.id }}">
                    {%- render 'icon-error' -%}
                    {{- form.errors.translated_fields.email | capitalize }}
                    {{ form.errors.messages.email -}}
                  </small>
                {%- endif -%}
              </div>
              {%- if form.posted_successfully? -%}
                <h3
                  class="newsletter-form__message newsletter-form__message--success form__message"
                  id="Newsletter-success--{{ section.id }}"
                  tabindex="-1"
                  autofocus
                >
                  {% render 'icon-success' -%}
                  {{- 'newsletter.success' | t }}
                </h3>
              {%- endif -%}
            {% endform %}
        {%- endcase -%}
      {%- endfor -%}
    </div>
  </div>
</div>

{% schema %}
{
  "name": "t:sections.newsletter.name",
  "tag": "section",
  "class": "section",
  "settings": [
    {
      "type": "color",
      "id": "bg_color",
      "label": "Background Color"
    },
    {
      "type": "checkbox",
      "id": "full_width",
      "default": true,
      "label": "t:sections.newsletter.settings.full_width.label"
    },
    {
      "type": "paragraph",
      "content": "t:sections.newsletter.settings.paragraph.content"
    },
    {
      "type": "header",
      "content": "t:sections.all.padding.section_padding_heading"
    },
    {
      "type": "range",
      "id": "padding_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_top",
      "default": 40
    },
    {
      "type": "range",
      "id": "padding_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_bottom",
      "default": 52
    }
  ],
  "blocks": [
    {
      "type": "heading",
      "name": "t:sections.newsletter.blocks.heading.name",
      "limit": 1,
      "settings": [
        {
          "type": "text",
          "id": "heading",
          "default": "Subscribe to our emails",
          "label": "t:sections.newsletter.blocks.heading.settings.heading.label"
        },
        {
          "type": "select",
          "id": "heading_size",
          "options": [
            {
              "value": "h2",
              "label": "t:sections.all.heading_size.options__1.label"
            },
            {
              "value": "h1",
              "label": "t:sections.all.heading_size.options__2.label"
            },
            {
              "value": "h0",
              "label": "t:sections.all.heading_size.options__3.label"
            }
          ],
          "default": "h1",
          "label": "t:sections.all.heading_size.label"
        }
      ]
    },
    {
      "type": "paragraph",
      "name": "t:sections.newsletter.blocks.paragraph.name",
      "limit": 1,
      "settings": [
        {
          "type": "richtext",
          "id": "text",
          "default": "<p>Be the first to know about new collections and exclusive offers.</p>",
          "label": "t:sections.newsletter.blocks.paragraph.settings.paragraph.label"
        }
      ]
    },
    {
      "type": "email_form",
      "name": "t:sections.newsletter.blocks.email_form.name",
      "limit": 1
    },
    {
      "type": "@app"
    }
  ],
  "presets": [
    {
      "name": "t:sections.newsletter.presets.name",
      "blocks": [
        {
          "type": "heading"
        },
        {
          "type": "paragraph"
        },
        {
          "type": "email_form"
        }
      ]
    }
  ]
}
{% endschema %}
